import type { As } from '@nordcom/nordstar-system';
export type AccentedProps = {
    secondary?: boolean;
    as?: As;
};
/**
 * `<Accented/>`, a component to highlight text with an accent color.
 *
 * @param {object} props - `<Accented/>` props.
 * @param {boolean} [props.secondary] - Whether to use the secondary accent color.
 * @param {As} [props.as='span'] - The element to render the component as.
 * @returns {ReactNode} The `<Accented/>` component.
 */
declare const Accented: import("@nordcom/nordstar-system").InternalForwardRefRenderFunction<"span", AccentedProps, never>;
export default Accented;
