import './accented.css';
import { jsx } from 'react/jsx-runtime';
import { forwardRef } from '@nordcom/nordstar-system';

const primary = "_primary_g677b_1";
const secondary = "_secondary_g677b_5";
const styles = {
	primary: primary,
	secondary: secondary
};

const Accented = forwardRef(
  ({ as: Tag = "span", secondary = "false", className, ...props }, ref) => {
    const classes = `${styles[secondary ? "secondary" : "primary"]}${className ? ` ${className}` : ""}`;
    return /* @__PURE__ */ jsx(Tag, { ref, ...props, className: classes });
  }
);
Accented.displayName = "Nordstar.Typography.Accented";

export { Accented as default };
//# sourceMappingURL=accented.js.map
